﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FObjBase;
using System.Net;
using System.ComponentModel;

namespace FLY.Simulation.Flyad7.OBJProxy
{
    public class Flyad7_OBJProxy
    {
        PUSH_DATA module_pushdata;
        DRIVE_MAN module_driveman;
        FLYADC module_flyadc;
        SYS_DATA module_sys_data;
        FLYIO module_flyio;
        FLYAD7 mData;

        public Flyad7_OBJProxy(int objsys_idx, FLYAD7 data)
        {
            module_pushdata = new PUSH_DATA(objsys_idx, data);
            module_driveman = new DRIVE_MAN(objsys_idx, data);
            module_flyadc = new FLYADC(objsys_idx, data);
            module_sys_data = new SYS_DATA(objsys_idx, data);
            module_flyio = new FLYIO(objsys_idx, data);
            mData = data;
        }
        public void Listen()
        {
            module_pushdata.CurrObjSys.Start_Conn_Server(mData.LocalEP);
        }

    }
}
